import { defineStore } from 'pinia'
import { ref, Ref } from 'vue'
import XEUtils from 'xe-utils'

export const usePublicData = defineStore('publicData', () => {
  const data: any = ref({
    dateRange: []  // 筛选条件的时间范围
  })

  function updateData(obj: any) {
    XEUtils.objectEach(obj, (val, key) => {
      data.value[key] = val
    })
  }

  return { data, updateData }
})

